com.google.gwt.user.client.ui

## Interface HasVisibility

- All Known Implementing Classes:
    AbsolutePanel, AbstractCellTable, AbstractCellTree, AbstractHasData, AbstractNativeScrollbar, AbstractPager, Anchor, Audio, Button, ButtonBase, CalendarView, Canvas, CaptionPanel, CellBrowser, CellBrowser.BrowserCellList, CellGridImpl, CellGridImpl.Cell, CellList, CellPanel, CellTable, CellTree, CellTreeNodeView, CellWidget, CheckBox, ComplexPanel, Composite, CustomButton, CustomScrollPanel, DataGrid, DataGrid.TableWidget, DateBox, DateLabel, DatePicker, DatePickerComponent, DeckLayoutPanel, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabBar, DecoratedTabPanel, DecoratorPanel, DefaultCalendarView, DefaultCalendarView.CellGrid, DefaultCalendarView.CellGrid.DateCell, DefaultMonthSelector, DialogBox, DialogBox.CaptionImpl, DisclosurePanel, DockLayoutPanel, DockPanel, DoubleBox, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, HeaderPanel, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, LabelBase, LayoutPanel, LazyPanel, ListBox, LoggingPopup, LongBox, MediaBase, MenuBar, MenuItem, MenuItemSeparator, MonthSelector, NamedFrame, NativeHorizontalScrollbar, NativeVerticalScrollbar, NotificationMole, NumberLabel, PageSizePager, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RenderablePanel, ResetButton, ResizeComposite, ResizeLayoutPanel, RichTextArea, RootLayoutPanel, RootPanel, ScrollPanel, SimpleCheckBox, SimpleLayoutPanel, SimplePager, SimplePanel, SimpleRadioButton, SplitLayoutPanel, SplitLayoutPanel.HSplitter, SplitLayoutPanel.Splitter, SplitLayoutPanel.VSplitter, SplitPanel, StackLayoutPanel, StackPanel, SubmitButton, SuggestBox, TabBar, TabLayoutPanel, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, TreeItem, UIObject, ValueBox, ValueBoxBase, ValueBoxEditorDecorator, ValueLabel, ValueListBox, ValuePicker, VerticalPanel, VerticalSplitPanel, Video, Widget

      public interface HasVisibility

  Implemented by objects that have the visibility trait.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVisible()` Determines whether or not this object is visible.
    `void` | `setVisible(boolean visible)` Sets whether this object is visible.

- - ### Method Detail

    - #### isVisible

          boolean isVisible()

      Determines whether or not this object is visible. Note that this does not necessarily take into account whether or not the receiver's parent is visible, or even if it is attached to the `Document`. The default implementation of this trait in `UIObject` is based on the value of a dom element's style object's display attribute.
      Returns:
        `true` if the object is visible

    - #### setVisible

          void setVisible(boolean visible)

      Sets whether this object is visible.
      Parameters:
        `visible` - `true` to show the object, `false` to hide it